-   |
    YAML Import reference scenario:
    Check that importing into a "reference" type field works with YAML using
    both implicit references and !ref.

-   |
    Given records imitating menu entries similar to the following entry from the base module:
    <menuitem id="menu_module_tree" parent="menu_management" name="Apps"
              sequence="5" action="open_module_tree" />

    taken from openerp/addons/base/module/module_view.xml

-   >
    A Menu item using !record and implicit xml_id lookup and sequence cast:
-
    !record { model: ir.ui.menu, id: test_menu_0 }:
        name: "Local Modules 0"
        parent_id: base.menu_management
        sequence: 90
        action: base.open_module_tree

-   >
    A Menu item using !record and explicit !ref and sequence !eval
-
    !record { model: ir.ui.menu, id: test_menu_1 }:
        name: "Local Modules 1"
        parent_id: !refid base.menu_management
        sequence: !eval 91
        action: !refid base.open_module_tree
-   >
    Then these menu items should be present, properly configured and
    pointing to the same action.
-
    !assert { model: ir.ui.menu, id: test_menu_0, string: menu item 0 is properly configured }:
        - name == 'Local Modules 0'
        - sequence == 90
        - parent_id.name == 'Apps'
        - action.name == 'Apps'
-
    !assert { model: ir.ui.menu, id: test_menu_1, string: menu item 1 is properly configured }:
        - name == 'Local Modules 1'
        - sequence == 91
        - parent_id.name == 'Apps'
        - action.name == 'Apps'
